Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::views::replace_if_base_fn Struct Reference
Inheritance diagram for ranges::views::replace_if_base_fn:

## Public Member Functions
template<typename Rng , typename Pred , typename Val > requires viewable_range<Rng> && input_range<Rng> && indirect_unary_predicate<Pred, iterator_t<Rng>> && common_with<detail::decay_t<unwrap_reference_t<Val const &>>, range_value_t<Rng>> && common_reference_with<unwrap_reference_t<Val const &>, range_reference_t<Rng>> && common_reference_with<unwrap_reference_t<Val const &>, range_rvalue_reference_t<Rng>>
constexpr replace_if_view< all_t< Rng >, Pred, Val > | operator() (Rng &&rng, Pred pred, Val new_value) const